VSDInternalStream Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
VSDInternalStream Class Reference

`#include <VSDInternalStream.h>`

Inheritance diagram for VSDInternalStream:

## Public Member Functions
| VSDInternalStream (librevenge::RVNGInputStream *input, unsigned long size, bool compressed=false)
| ~VSDInternalStream ()
bool | isStructured ()
unsigned | subStreamCount ()
const char * | subStreamName (unsigned)
bool | existsSubStream (const char *)
librevenge::RVNGInputStream * | getSubStreamByName (const char *)
librevenge::RVNGInputStream * | getSubStreamById (unsigned)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
long | tell ()
bool | isEnd ()
unsigned long | getSize () const

## Private Member Functions
| VSDInternalStream (const VSDInternalStream &)
VSDInternalStream & | operator= (const VSDInternalStream &)

## Private Attributes
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

VSDInternalStream::VSDInternalStream | ( | librevenge::RVNGInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = `false`
| ) |  |

VSDInternalStream::~VSDInternalStream | ( |  | ) |
| inline

VSDInternalStream::VSDInternalStream | ( | const VSDInternalStream & |  | ) |
| private

## Member Function Documentation

bool VSDInternalStream::existsSubStream | ( | const char * |  | ) |
| inline

unsigned long VSDInternalStream::getSize | ( |  | ) | const
| inline

Referenced by libvisio::VSDParser::handleStream().

librevenge::RVNGInputStream* VSDInternalStream::getSubStreamById | ( | unsigned |  | ) |
| inline

librevenge::RVNGInputStream* VSDInternalStream::getSubStreamByName | ( | const char * |  | ) |
| inline

bool VSDInternalStream::isEnd | ( |  | ) |

Referenced by getSubStreamById().

bool VSDInternalStream::isStructured | ( |  | ) |
| inline

VSDInternalStream& VSDInternalStream::operator= | ( | const VSDInternalStream & |  | ) |
| private

const unsigned char * VSDInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

Referenced by getSubStreamById().

int VSDInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |

Referenced by getSubStreamById().

unsigned VSDInternalStream::subStreamCount | ( |  | ) |
| inline

const char* VSDInternalStream::subStreamName | ( | unsigned |  | ) |
| inline

long VSDInternalStream::tell | ( |  | ) |

Referenced by getSubStreamById().

## Member Data Documentation

std::vector<unsigned char> VSDInternalStream::m_buffer
| private

Referenced by getSize(), isEnd(), read(), seek(), and VSDInternalStream().

volatile long VSDInternalStream::m_offset
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- VSDInternalStream.h
- VSDInternalStream.cpp